package p05_switch;

import javax.swing.*;

public class DzienTygodnia2 {

    /* Ta wersja pokazuje najbardziej klasyczny zapis switch, jaki działa w Javie od samego początku.
     * Tak samo jest też w C, C++.
     */

    public static void main(String[] args) {
        int numer = Integer.parseInt(JOptionPane.showInputDialog("Podaj numer dnia tygodnia [1-7]"));

        switch (numer) {
            case 1:
                JOptionPane.showMessageDialog(null, "To jest poniedziałek");
                break;
            case 2:
                JOptionPane.showMessageDialog(null, "To jest wtorek");
                break;
            case 3:
                JOptionPane.showMessageDialog(null, "To jest środa");
                break;
            case 4:
                JOptionPane.showMessageDialog(null, "To jest czwartek");
                break;
            case 5:
                JOptionPane.showMessageDialog(null, "To jest piątek");
                JOptionPane.showMessageDialog(null, "weekendu początek");
                break;
            case 6:
                JOptionPane.showMessageDialog(null, "To jest sobota");
                break;
            case 7:
                JOptionPane.showMessageDialog(null, "To jest niedziela");
                break;
            default:
                JOptionPane.showMessageDialog(null, "Niepoprawny numer", "Błąd", JOptionPane.ERROR_MESSAGE);
        }
        JOptionPane.showMessageDialog(null, "Koniec programu");

    }

}
